Last Comment Bug 598794 - Intermittent failure in uriloader\exthandler\tests\unit\test_punycodeURIs.js | test failed (with xpcshell return code: 0), see following log: Component returned failure code: 0x80520012 (NS_ERROR_FILE_NOT_FOUND) [nsIFileInputStream.init]
: Intermittent failure in uriloader\exthandler\tests\unit\test_punycodeURIs.js ...
Status: RESOLVED FIXED
: intermittent-failure
Product: Core Graveyard
Classification: Graveyard
Component: File Handling (show other bugs)
: Trunk
: x86 Windows Server 2003
: -- normal (vote)
: mozilla7
Assigned To: Siddharth Agarwal [:sid0] (inactive)
:
:
Mentors:
Depends on:
Blocks: 438871 488597
  Show dependency treegraph
 
Reported: 2010-09-22 16:30 PDT by :Ehsan Akhgari
Modified: 2016-06-22 12:16 PDT (History)
5 users (show)
mounir: in‑testsuite+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (827 bytes, patch)
2011-06-17 15:53 PDT, Siddharth Agarwal [:sid0] (inactive)
sdwilsh: review+
Details | Diff | Splinter Review

Description :Ehsan Akhgari 2010-09-22 16:30:27 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1285194885.1285196890.21038.gz&fulltext=1
WINNT 5.2 mozilla-central debug test xpcshell on 2010/09/22 15:34:45

TEST-UNEXPECTED-FAIL | e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-xpcshell\build\xpcshell\tests\uriloader\exthandler\tests\unit\test_punycodeURIs.js | test failed (with xpcshell return code: 0), see following log:
  >>>>>>>
  ### XPCOM_MEM_LEAK_LOG defined -- logging leaks to c:\docume~1\cltbld\locals~1\temp\tmp64pqfj\runxpcshelltests_leaks.log
pldhash: for the table at address 06420E40, the given entrySize of 48 probably favors chaining over double hashing.
*** HandlerServiceTest: getFile: requesting UMimTyp
*** HandlerServiceTest: getFile: requesting CurProcD
*** HandlerServiceTest: the following NS_ERROR_FAILURE exception in nsIDirectoryServiceProvider::getFile is expected, as we don't provide the 'CurProcD' file
TEST-INFO | (xpcshell/head.js) | test 1 pending
*** HandlerServiceTest: getFile: requesting ProfLDS
*** HandlerServiceTest: the following NS_ERROR_FAILURE exception in nsIDirectoryServiceProvider::getFile is expected, as we don't provide the 'ProfLDS' file
*** HandlerServiceTest: getFile: requesting ProfLDS
*** HandlerServiceTest: the following NS_ERROR_FAILURE exception in nsIDirectoryServiceProvider::getFile is expected, as we don't provide the 'ProfLDS' file
TEST-PASS | e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-xpcshell/build/xpcshell/tests/uriloader/exthandler/tests/unit/test_punycodeURIs.js | [run_test : 144] http://xn--wgv71a309e.jp/ == http://xn--wgv71a309e.jp/
arg[0] = http://xn--wgv71a309e.jp/
TEST-INFO | (xpcshell/head.js) | test 2 pending
TEST-INFO | (xpcshell/head.js) | test 2 finished
TEST-INFO | (xpcshell/head.js) | running event loop
TEST-UNEXPECTED-FAIL | e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-xpcshell\build\xpcshell\head.js | exception thrown from do_timeout callback: [Exception... "Component returned failure code: 0x80520012 (NS_ERROR_FILE_NOT_FOUND) [nsIFileInputStream.init]"  nsresult: "0x80520012 (NS_ERROR_FILE_NOT_FOUND)"  location: "JS frame :: e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-xpcshell/build/xpcshell/tests/uriloader/exthandler/tests/unit/test_punycodeURIs.js :: checkFile :: line 71"  data: no] - See following stack:
JS frame :: e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-xpcshell\build\xpcshell\head.js :: do_throw :: line 317
JS frame :: e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-xpcshell\build\xpcshell\head.js :: anonymous :: line 140
TEST-INFO | (xpcshell/head.js) | exiting test
nsNativeModuleLoader::LoadModule("e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-xpcshell\build\firefox\components\xpcomsample.dll") - load FAILED, rv: 80520012, error:
	<unknown; can't get error from NSPR>
JS Component Loader: ERROR (null):0
                     uncaught exception: 2147500037
JS Component Loader: ERROR (null):0
                     uncaught exception: 2147500037
WARNING: nsExceptionService ignoring thread destruction after shutdown: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/xpcom/base/nsExceptionService.cpp, line 197
nsXPConnect::CommenceShutdown()
WARNING: OOPDeinit() without successful OOPInit(): file e:/builds/moz2_slave/mozilla-central-win32-debug/build/toolkit/crashreporter/nsExceptionHandler.cpp, line 1582
nsStringStats
 => mAllocCount:           1577
 => mReallocCount:           30
 => mFreeCount:            1576  --  LEAKED 1 !!!
 => mShareCount:           6830
 => mAdoptCount:             79
 => mAdoptFreeCount:         79

  <<<<<<<

== BloatView: ALL (cumulative) LEAK STATISTICS, default process 1456

     |<----------------Class--------------->|<-----Bytes------>|<----------------Objects---------------->|<--------------References-------------->|
                                              Per-Inst   Leaked    Total      Rem      Mean       StdDev     Total      Rem      Mean       StdDev
   0 TOTAL                                          21      160     5847        3 (  271.07 +/-   384.97)    15603        5 ( 1643.14 +/-  1921.46)
  86 nsLocalFile                                    88       88       52        1 (   17.88 +/-     8.34)      425        1 (   62.17 +/-    33.58)
 102 nsProcess                                      64       64        1        1 (    1.00 +/-     0.00)        9        1 (    2.53 +/-     1.23)
 117 nsStringBuffer                                  8        8     1606        1 (  759.20 +/-   415.39)     8436        3 ( 3014.67 +/-  1653.10)

nsTraceRefcntImpl::DumpStatistics: 152 entries
TEST-INFO | e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-xpcshell\build\xpcshell\tests\widget\tests\unit\test_taskbar_jumplistitems.js | running test ...
TEST-PASS | e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-xpcshell\build\xpcshell\tests\widget\tests\unit\test_taskbar_jumplistitems.js | test passed

== BloatView: ALL (cumulative) LEAK STATISTICS, default process 2652

     |<----------------Class--------------->|<-----Bytes------>|<----------------Objects---------------->|<--------------References-------------->|
                                              Per-Inst   Leaked    Total      Rem      Mean       StdDev     Total      Rem      Mean       StdDev
   0 TOTAL                                          21      232     5454       10 (  315.48 +/-   410.17)    15403       10 ( 1681.99 +/-  1930.00)
  52 nsCryptoHash                                   28       28        1        1 (    1.00 +/-     0.00)        3        1 (    1.40 +/-     0.55)
 113 nsSimpleURI                                    52      156        5        3 (    3.14 +/-     1.35)       63        3 (   10.99 +/-     5.24)
 118 nsStringBuffer                                  8       48     1702        6 (  790.23 +/-   420.77)     8475        6 ( 3026.71 +/-  1657.55)

nsTraceRefcntImpl::DumpStatistics: 148 entries
Comment 1 Siddharth Agarwal [:sid0] (inactive) 2011-06-17 15:33:52 PDT
The patch in bug 488597 forgot to return after the do_timeout, so the first checkFile simply kept going.
Comment 2 Siddharth Agarwal [:sid0] (inactive) 2011-06-17 15:53:44 PDT
Created attachment 540163 [details] [diff] [review]
patch
Comment 3 Shawn Wilsher :sdwilsh 2011-06-18 17:20:15 PDT
Comment on attachment 540163 [details] [diff] [review]
patch

r=sdwilsh
Comment 4 :Ehsan Akhgari 2011-06-20 10:59:19 PDT
Pushed to mozilla-inbound.
Comment 5 Mounir Lamouri (:mounir) 2011-06-21 05:37:10 PDT
Merged:
http://hg.mozilla.org/mozilla-central/rev/ed0173932321

Note You need to log in before you can comment on or make changes to this bug.